/*******************************************************************************************************************************************
 chscale.h
 
 CClass					CClass
 |--CSerialized				|--CSerialized
    |--CMetaModule			   |--CMetaModule
       |--CObject			      |--CObjectListener
          |--CComponent			         |
	     |--CControl			 |
	        |--CWidget			 |--CWidgetListener
		   |--CRange			    |--CRangeListener
		      |--CScale			       |--CScaleListener
			 |--CHScale

 Horizontal slider definition for selecting a value from a range.
*******************************************************************************************************************************************/

#ifndef __CHSCALE_H__
#define __CHSCALE_H__

#include "cscale.h"

//-----------------------------------------------------------------------------------------------------------------------------------------
// CHScale class
//-----------------------------------------------------------------------------------------------------------------------------------------
class CHScale : public CScale
{
	// instanciation section
	public :

		CHScale				(CContainer *inOwner=NULL, const CScaleListener *inListener=NULL);
		virtual ~CHScale		();

	// protected gtk requests
	protected :

		virtual GtkWidget *		PerformWidgetInstanciate	();

		// associated metaclass
		SECTION_DYNAMIC_METACLASS;
};

// metaclass and class tag declaration
DECLARE_DYNAMIC_METACLASS ('hsle', CHScale, CScale);

#endif
