/*******************************************************************************************************************************************
 cvscale.h
 
 CClass					CClass
 |--CSerialized				|--CSerialized
    |--CMetaModule			   |--CMetaModule
       |--CObject			      |--CObjectListener
          |--CComponent			         |
	     |--CControl			 |
	        |--CWidget			 |--CWidgetListener
		   |--CRange			    |--CRangeListener
		      |--CScale			       |--CScaleListener
			 |--CVScale

 Vertical slider definition for selecting a value from a range.
*******************************************************************************************************************************************/

#ifndef __CVSCALE_H__
#define __CVSCALE_H__

#include "cscale.h"

//-----------------------------------------------------------------------------------------------------------------------------------------
// CVScale class
//-----------------------------------------------------------------------------------------------------------------------------------------
class CVScale : public CScale
{
	// instanciation section
	public :

		CVScale				(CContainer *inOwner=NULL, const CScaleListener *inListener=NULL);
		virtual ~CVScale		();

	// protected gtk requests
	protected :

		virtual GtkWidget *		PerformWidgetInstanciate	();

		// associated metaclass
		SECTION_DYNAMIC_METACLASS;
};

// metaclass and class tag declaration
DECLARE_DYNAMIC_METACLASS ('vsle', CVScale, CScale);


#endif
